import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;
import javax.microedition.lcdui.Canvas;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Graphics;
import javax.microedition.lcdui.Image;
import javax.microedition.midlet.MIDlet;

public class CornerText extends MIDlet{

	private Display display;

	public void startApp(){
		Canvas canvas = new CanvasText();
		display = Display.getDisplay(this);
		display.setCurrent(canvas);
	}

	public void pauseApp(){}

	public void destroyApp(boolean unconditional){}
}

class CanvasText extends Canvas {
	public void paint(Graphics g) {
		int width = getWidth();
		int height = getHeight();
		
		g.setColor(0, 0, 255);
		g.fillRect(0, 0, width, height);
		g.setColor(255, 0, 0);

		g.drawString("TOP_LEFT", 0, 0, Graphics.TOP | Graphics.LEFT);
		g.drawString("TOP_RIGHT", width, 0, Graphics.TOP | Graphics.RIGHT);
		g.drawString("BOTTOM_LEFT", 0, height, Graphics.BOTTOM | Graphics.LEFT);
		g.drawString("BOTTOM_RIGHT", width, height, Graphics.BOTTOM | Graphics.RIGHT);

		g.drawString("BASELINE_HCENTER", width / 2, height / 2, Graphics.BASELINE | Graphics.HCENTER);
	}
}